## org.apache.poi.hslf.model
Class TableCell

    java.lang.Object
      org.apache.poi.hslf.model.Shape
          org.apache.poi.hslf.model.SimpleShape
              org.apache.poi.hslf.model.TextShape
                  org.apache.poi.hslf.model.TextBox
                      org.apache.poi.hslf.model.TableCell

    public final class TableCell

extends TextBox

Represents a cell in a ppt table

Author:
  Yegor Kozlov

Field Summary
`protected static int` `DEFAULT_HEIGHT`
`protected static int` `DEFAULT_WIDTH`

Fields inherited from class org.apache.poi.hslf.model.TextShape
`_frc, _txtbox, _txtrun, AlignCenter, AlignJustify, AlignLeft, AlignRight, AnchorBottom, AnchorBottomBaseline, AnchorBottomCentered, AnchorBottomCenteredBaseline, AnchorMiddle, AnchorMiddleCentered, AnchorTop, AnchorTopBaseline, AnchorTopCentered, AnchorTopCenteredBaseline, WrapByPoints, WrapNone, WrapSquare, WrapThrough, WrapTopBottom`

Fields inherited from class org.apache.poi.hslf.model.SimpleShape
`_clientData, _clientRecords, DEFAULT_LINE_WIDTH`

Fields inherited from class org.apache.poi.hslf.model.Shape
`_escherContainer, _fill, _parent, _sheet, EMU_PER_CENTIMETER, EMU_PER_INCH, EMU_PER_POINT, logger, MASTER_DPI, PIXEL_DPI, POINT_DPI`

Constructor Summary
`protected` `TableCell(EscherContainerRecord escherRecord, Shape parent)` Create a TableCell object and initialize it from the supplied Record container.
`` `TableCell(Shape parent)` Create a new TableCell.

Method Summary
`protected void` `anchorBorder(int type, Line line)`
`protected EscherContainerRecord` `createSpContainer(boolean isChild)` Create a new TextBox and initialize its internal structures
`Line` `getBorderBottom()`
`Line` `getBorderLeft()`
`Line` `getBorderRight()`
`Line` `getBorderTop()`
`void` `setAnchor(java.awt.Rectangle anchor)`
`void` `setBorderBottom(Line line)`
`void` `setBorderLeft(Line line)`
`void` `setBorderRight(Line line)`
`void` `setBorderTop(Line line)`

Methods inherited from class org.apache.poi.hslf.model.TextBox
`setDefaultTextProperties`

Methods inherited from class org.apache.poi.hslf.model.TextShape

`afterInsert, createTextRun, draw, getEscherTextboxWrapper, getHorizontalAlignment, getMarginBottom, getMarginLeft, getMarginRight, getMarginTop, getPlaceholderAtom, getText, getTextId, getTextRun, getVerticalAlignment, getWordWrap, initTextRun, resizeToFitText, setHorizontalAlignment, setHyperlink, setMarginBottom, setMarginLeft, setMarginRight, setMarginTop, setSheet, setText, setTextId, setVerticalAlignment, setWordWrap`

Methods inherited from class org.apache.poi.hslf.model.SimpleShape
`getClientDataRecord, getClientRecords, getFillColor, getFlipHorizontal, getFlipVertical, getLineColor, getLineDashing, getLineStyle, getLineWidth, getLogicalAnchor2D, getRotation, setFillColor, setHyperlink, setLineColor, setLineDashing, setLineStyle, setLineWidth, setRotation, updateClientData`

Methods inherited from class org.apache.poi.hslf.model.Shape
`getAnchor, getAnchor2D, getEscherChild, getEscherProperty, getEscherProperty, getEscherProperty, getFill, getHyperlink, getOutline, getParent, getShapeId, getShapeName, getShapeType, getSheet, getSpContainer, moveTo, setAnchor, setEscherProperty, setEscherProperty, setShapeId, setShapeType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_WIDTH

    protected static final int DEFAULT_WIDTH

See Also:
  Constant Field Values

### DEFAULT_HEIGHT

    protected static final int DEFAULT_HEIGHT

See Also:
  Constant Field Values

Constructor Detail

### TableCell

    protected TableCell(EscherContainerRecord escherRecord,
                        Shape parent)

  Create a TableCell object and initialize it from the supplied Record container.

  Parameters:
    `escherRecord` - `EscherSpContainer` container which holds information about this shape
    `parent` - the parent of the shape

### TableCell

    public TableCell(Shape parent)

  Create a new TableCell. This constructor is used when a new shape is created.

  Parameters:
    `parent` - the parent of this Shape. For example, if this text box is a cell in a table then the parent is Table.

Method Detail

### createSpContainer

    protected EscherContainerRecord createSpContainer(boolean isChild)

  Description copied from class: `TextBox`
  Create a new TextBox and initialize its internal structures

  Overrides:
    `createSpContainer` in class `TextBox`
  Parameters:
    `isChild` - `true` if the Line is inside a group, `false` otherwise
  Returns:
    the created `EscherContainerRecord` which holds shape data

### anchorBorder

    protected void anchorBorder(int type,
                                Line line)

### getBorderLeft

    public Line getBorderLeft()

### setBorderLeft

    public void setBorderLeft(Line line)

### getBorderRight

    public Line getBorderRight()

### setBorderRight

    public void setBorderRight(Line line)

### getBorderTop

    public Line getBorderTop()

### setBorderTop

    public void setBorderTop(Line line)

### getBorderBottom

    public Line getBorderBottom()

### setBorderBottom

    public void setBorderBottom(Line line)

### setAnchor

    public void setAnchor(java.awt.Rectangle anchor)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.